Subject: Re: [DISCUSS] Introducing Rust into the Git project

From: Sam James <[email-masked]>
Date: Thu, 11 Jan 2024 11:45:07 +0000

Something I'm a bit concerned about is that right now, neither
rustc_codegen_gcc nor gccrs are ready for use here.

We've had trouble getting things wired up for rustc_codegen_gcc
- which is not to speak against their wonderful efforts - because
the Rust community hasn't yet figured out how to handle things which
pure rustc supports yet. See
e.g. https://github.com/rust-lang/libc/pull/3032.

I think care should be taken in citing rustc_codegen_gcc and gccrs
as options for alternative platforms for now. They will hopefully
be great options in the future, but they aren't today, and they probably
won't be in the next 6 months at the least.

We also do use git heavily on platforms which rustc isn't supported
yet.

thanks,
sam